<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration PUBLIC "-//LOGGER" "log4j.dtd">

<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/"
	debug="false">

	<appender name="consoleAppender" class="org.apache.log4j.ConsoleAppender">
		<param name="Target" value="System.out" />
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d %-5p  [%c{1}] %m %n" />
		</layout>
	</appender>
	<appender name="fileAppender" class="org.apache.log4j.RollingFileAppender">
		<param name="File" value="sample.log" />
		<param name="MaxFileSize" value="1024KB" />
		<!-- Keep one backup file -->
		<param name="MaxBackupIndex" value="1" />
		<layout class="org.apache.log4j.PatternLayout">
			<param name="ConversionPattern" value="%d %-5p  [%c{1}] %m %n" />
		</layout>
	</appender>

	<root>
		<priority value="info" />
		<appender-ref ref="consoleAppender" />
		<appender-ref ref="fileAppender" />
	</root>

	<logger name="lxr.marketplace" additivity="false">
		<level value="INFO" />
		<appender-ref ref="consoleAppender" />
		<appender-ref ref="fileAppender" />
	</logger>
</log4j:configuration>
